commit:     c7386840d4b372f9237f082f99dadcabdb769a30
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  2 14:24:26 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Feb  2 14:24:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7386840

www-client/otter: Version 0.9.95.

Package-Manager: Portage-2.3.20, Repoman-2.3.6

 www-client/otter/Manifest            |  1 +
 www-client/otter/otter-0.9.95.ebuild | 73 ++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/www-client/otter/Manifest b/www-client/otter/Manifest
index 707f538b703..f01771bfda8 100644
--- a/www-client/otter/Manifest
+++ b/www-client/otter/Manifest
@@ -1,2 +1,3 @@
 DIST otter-0.9.91.tar.gz 4422341 BLAKE2B 
bdf1efbee982bbdd4890c6c45cc82c804066b9e2af67d8ace9da387cf9fabb591320880d5394de9fa7004fba0bebbc30d24fd0dcb9e3c5cdf8b00d0d467a8bca
 SHA512 
d7a98c5a9ef8dc2cd134ca20885c4332f96ef5ebb31bee968d132ca6cc6f30786e382be42decd10e4b0d85f7ddd67fb6dd008ac130d4ba4cf5cbb7423ce9f63d
 DIST otter-0.9.94.tar.gz 4585316 BLAKE2B 
7fd450b1cb0102006680964fa9f858b5bed12094e076b4ab5a0cfdb9f790f5627b67d1521d2715919ff3d469b7c953680833e0f091be1320dade9cfc4ea844a4
 SHA512 
33943c145d40b9fed0afdfa90cf46d2604978347421ac39bfa7d1e9a90c61542fcd8899d039a4b68fc4e7cd6f9175ac9381966e3bc4a822d45ca70a66b6e9f95
+DIST otter-0.9.95.tar.gz 4592078 BLAKE2B 
075a8f7bb9e2e88c4f797328052f3139dc7bbb122d7a5c8485ff8ea7fa111fcabf39863bb5d4fe8a8a3c5883ed78174cd7efa05087bf2dd599c2e23f330e0f36
 SHA512 
cda1c4e0e8e9fbb78eaaf9317749b5513d972a450a2c88936c120de9646452315067b308c63c8b61c98eff22c4fb7d9e75ca69054b87acd6706a9731f37a1b80

diff --git a/www-client/otter/otter-0.9.95.ebuild 
b/www-client/otter/otter-0.9.95.ebuild
new file mode 100644
index 00000000000..ba2a9c83403
--- /dev/null
+++ b/www-client/otter/otter-0.9.95.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="Project aiming to recreate classic Opera (12.x) UI using Qt5"
+HOMEPAGE="http://otter-browser.org/";
+SRC_URI="https://github.com/OtterBrowser/${PN}-browser/archive/v${PV/_p/-dev}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="spell"
+
+DEPEND="
+       dev-qt/qtconcurrent:5
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtmultimedia:5
+       dev-qt/qtnetwork:5[ssl]
+       dev-qt/qtprintsupport:5
+       dev-qt/qtscript:5
+       dev-qt/qtsql:5
+       dev-qt/qtsvg:5
+       dev-qt/qtwebkit:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxmlpatterns:5
+       spell? ( kde-frameworks/sonnet )
+"
+RDEPEND="
+       ${DEPEND}
+"
+
+S=${WORKDIR}/${PN}-browser-${PV/_p/-dev}
+DOCS=( CHANGELOG CONTRIBUTING.md TODO )
+
+src_prepare() {
+       cmake-utils_src_prepare
+
+       if [[ -n ${LINGUAS} ]]; then
+               local lingua
+               for lingua in resources/translations/*.qm; do
+                       lingua=$(basename ${lingua})
+                       lingua=${lingua/otter-browser_/}
+                       lingua=${lingua/.qm/}
+                       if ! has ${lingua} ${LINGUAS}; then
+                               rm 
resources/translations/otter-browser_${lingua}.qm || die
+                       fi
+               done
+       fi
+
+       if ! use spell; then
+               sed -i -e '/find_package(KF5Sonnet)/d' CMakeLists.txt || die
+       fi
+}
+
+src_install() {
+       cmake-utils_src_install
+       domenu ${PN}-browser.desktop
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to